> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 帖子评论

> 帖子评论

通过 URL 获取帖子的评论线程。

## 示例

```bash theme={null}
curl "https://api.aisa.one/apis/v1/instagram/post/comments?url=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


## OpenAPI

````yaml openapi/zh/instagram.json GET /instagram/post/comments
openapi: 3.0.0
info:
  title: Instagram API
  description: 读取 Instagram 公开数据——个人资料、帖子、Reels、评论、文字稿和搜索结果。
  version: 1.0.0
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /instagram/post/comments:
    get:
      tags:
        - Instagram API
      summary: 帖子评论
      description: >-
        获取公开 Instagram 帖子或短视频的评论。每条评论均包含评论文本、创建时间戳，以及评论者的用户名、用户 ID、认证状态和头像 URL
        等详细信息。支持基于游标的分页，以加载更多评论页面。
      operationId: get_instagram-post-comments
      parameters:
        - name: url
          in: query
          required: true
          description: 要获取评论的帖子或短视频的 URL
          schema:
            type: string
          example: https://www.instagram.com/reel/DOq6eV6iIgD
        - name: cursor
          in: query
          required: false
          description: 用于获取更多评论的游标。请从上一个响应中获取 'cursor'。
          schema:
            type: string
          example: eyJjYWNoZWRfY29tbWVud...
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              example:
                success: true
                credits_remaining: 33929114
                comments:
                  - id: '18051843701642870'
                    text: >-
                      "...but who wants to know people who don't love animals
                      anyway?". ❤️
                    created_at: '2025-09-16T17:03:04.000Z'
                    comment_like_count: 0
                    user:
                      is_verified: false
                      id: '46773599357'
                      pk: '46773599357'
                      is_unpublished: null
                      profile_pic_url: >-
                        https://scontent-dfw5-1.cdninstagram.com/v/t51.2885-19/542013919_18051324464559358_4060586438619554592_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-dfw5-1.cdninstagram.com&_nc_cat=110&_nc_oc=Q6cZ2QEVOAPWq7DXE6cVfhoMQb0GTMvPo_vizELP9TUgQylvA5jBW1WSonDzvjeTQpAGJ3w&_nc_ohc=b__bzrMG6kYQ7kNvwGXM67R&_nc_gid=oDBffhoPbGLAq2tbCGpGKg&edm=AKp6CbIBAAAA&ccb=7-5&oh=00_AflThVwZ86n6DiACA5-zJCNFQZWBwHfaG6AXZclgea57BA&oe=695A3139&_nc_sid=d62176
                      username: catherina_thijs
                      fbid_v2: '17841446780736699'
                cursor: AQHSpoi6HyDbzYRMzrD.........
              schema:
                $ref: '#/components/schemas/InstagramCommentsResponse'
components:
  schemas:
    InstagramCommentsResponse:
      type: object
      properties:
        success:
          type: boolean
        credits_remaining:
          type: integer
        comments:
          type: array
          items:
            type: object
            additionalProperties: true
        cursor:
          type: string
          nullable: true
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: AIsa API 密钥。前往 https://aisa.one 获取

````